Subject: Re: [PATCH v5 00/11] remove msize limit in virtio transport

From: Christian Schoenebeck <[email-masked]>
Date: Wed, 13 Jul 2022 10:54:47 +0200

On Dienstag, 12. Juli 2022 23:13:16 CEST Dominique Martinet wrote:
> Alright; anything I didn't reply to looks good to me.
> 
> Christian Schoenebeck wrote on Tue, Jul 12, 2022 at 04:35:54PM +0200:
> > OVERVIEW OF PATCHES:
> > 
> > * Patches 1..6 remove the msize limitation from the 'virtio' transport
> > 
> >   (i.e. the 9p 'virtio' transport itself actually supports >4MB now,
> >   tested
> >   successfully with an experimental QEMU version and some dirty 9p Linux
> >   client hacks up to msize=128MB).
> 
> I have no problem with this except for the small nitpicks I gave, but
> would be tempted to delay this part for one more cycle as it's really
> independant -- what do you think?

Yes, I would also postpone the virtio patches towards subsequent release 
cycle.

> > * Patch 7 limits msize for all transports to 4 MB for now as >4MB would
> > need> 
> >   more work on 9p client level (see commit log of patch 7 for details).
> > 
> > * Patches 8..11 tremendously reduce unnecessarily huge 9p message sizes
> > and
> > 
> >   therefore provide performance gain as well. So far, almost all 9p
> >   messages
> >   simply allocated message buffers exactly msize large, even for messages
> >   that actually just needed few bytes. So these patches make sense by
> >   themselves, independent of this overall series, however for this series
> >   even more, because the larger msize, the more this issue would have hurt
> >   otherwise.
> 
> time-wise we're getting close to the merge window already (probably in 2
> weeks), how confident are you in this?
> I can take patches 8..11 in -next now and probably find some time to
> test over next weekend, are we good?

Well, I have tested them thoroughly, but nevertheless IMO someone else than me 
should review patch 10 as well, and review whether the calculations for the 
individual message types are correct. That's a bit of spec dictionary lookup.

Best regards,
Christian Schoenebeck